package com.ssj.service.conch.opentest.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author yanghuan
 * @title: QuestionReuqest
 * @projectName ssj
 * @description: TODO
 * @date 2020/5/15 10:29
 */
public class QuestionReuqest extends BaseRequest {
    private static final long serialVersionUID = -3599279164102187917L;

    @ApiModelProperty(name="questionId",value = "题目id",required =false )
    private String questionId;

    @ApiModelProperty(name="grade",value ="年级",required = true)
    private String grade;

    @ApiModelProperty(name="subject",value = "科目",required = true)
    private String subject;

    @ApiModelProperty(name="version",value = "版本",required = true)
    private String version;

    @ApiModelProperty(name="semester",value = "学期",required = true)
    private String semester;

    @ApiModelProperty(name="unit",value = "单元",required = true)
    private String unit;

    @ApiModelProperty(name="moduleType",value = "同步/专题",required = true)
    private String moduleType;

    @ApiModelProperty(name="module",value = "知识点",required = true)
    private String module;

    @ApiModelProperty(name="question",value = "题目",required = true)
    private String question;

    @ApiModelProperty(name="type",value = "类型(1:学前;2:单元;3期中)",required = true)
    private int type;


    private List<Options> OptionList;

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public class Options implements Serializable{

        private static final long serialVersionUID = 1L;

      @ApiModelProperty(name="option",value = "选项",required = false)
      private String option;
      @ApiModelProperty(name="value",value = "选项内容",required = false)
      private String value;
      @ApiModelProperty(name="isAnswer",value = "是否为答案",required = false)
      private int isAnswer;

        public String getOption() {
            return option;
        }

        public void setOption(String option) {
            this.option = option;
        }

        public String getValue() {
            return value;
        }

        public void setValue(String value) {
            this.value = value;
        }

        public int getIsAnswer() {
            return isAnswer;
        }

        public void setIsAnswer(int isAnswer) {
            this.isAnswer = isAnswer;
        }
    }

    public String getQuestion() {
        return question;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public List<Options> getOptionList() {
        return OptionList;
    }

    public void setOptionList(List<Options> optionList) {
        OptionList = optionList;
    }

    public String getSemester() {
        return semester;
    }

    public void setSemester(String semester) {
        this.semester = semester;
    }

    public String getModuleType() {
        return moduleType;
    }

    public void setModuleType(String moduleType) {
        this.moduleType = moduleType;
    }
}
